{
    "root": true,
    "parser": "@typescript-eslint/parser",
    "plugins": ["@typescript-eslint", "unused-imports"],
    "overrides": [
        {
            "files": ["*.ts", "*.tsx"],
            "rules": {
                "@typescript-eslint/no-var-requires": "off",
                "@typescript-eslint/ban-ts-comment": "off",
                "@typescript-eslint/ban-ts-ignore": "off",
                "no-unused-vars": "off",
                "unused-imports/no-unused-imports": "error",
                "unused-imports/no-unused-vars": [
                  "warn",
                  {
                    "vars": "all",
                    "varsIgnorePattern": "^_",
                    "args": "after-used",
                    "argsIgnorePattern": "^_"
                  }
                ],
                "sort-imports": [
                    "error",
                    {
                      "ignoreDeclarationSort": true
                    }
                ]
            }
        }
    ],
    "env": {
        "node": true,
        "browser": true,
        "amd": true
    },
    "extends": [
        "eslint:recommended",
        "plugin:@typescript-eslint/eslint-recommended",
        "plugin:@typescript-eslint/recommended",
        "plugin:prettier/recommended",
        "next/core-web-vitals"
    ]
}
